Subject: Re: KUDZU and alcoholism

From: [email-masked] (Paul Iannone)
Date: 09 Oct 1995 04:33:24 GMT

In message ID <[email-masked]> on 10/8/95, HRBS4HLTH wrote:

: Hi Tommy!  Nature's Sunshine has a new product called Kudzu/St. John's
: Wort.  It's a really effective combination, and NSP products are strictly
: organic.  If you can't find a local supplier let me know and I can mail
: order to you.

Kudzu blocks alcohol dehydrogenase, which is the enzyme that DETOXIFIES
alcohol. In other words, kudzu TOXIFIES your body if you drink alcohol while
the chemical that causes this liver malfunction is in your bloodstream. 

If you want to do chemical aversion therapy, this is a good route--even,
perhaps, 'a really effective combination.' But making your liver work less
well is not particularly to your advantage, imho.

--Paul  ||  [email-masked]
--